<?php include('layout/header.php')?>
<body class="loading">
	<?php $_SESSION['active-menu'] = "network"; ?>
    <div id="app">
        <?php include("layout/side-menu.php") ?>
        <div id="main" class="w-100 d-flex flex-column">
            <?php include("layout/admin-menu.php")?>
            <div class="wrapper p-3 overflow-auto h-100" style="background: #fafafa;">
                <div class="row mx-n2">
                    <div class="col-md-8 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-sitemap mr-2"></i> SOCIAL NETWORK</div>
                            <div class="card-body h-100" id="social-network"></div>
                            <!--
                            <div class="d-flex py-3">
                                <div class="w-100 px-2">
                                    <input type="range" class="custom-range" id="customRange1">
                                </div>
                            </div>
                            -->
                        </div>
                    </div>
                    <div class="col-md-4 px-2">
                        <div class="card card-panel h-100">
                            <div class="card-header">
                                <i class="fa fa-pie-chart mr-2"></i> CLUSTER SIZE RATIO<br/>
                            </div>
                            <div class="card-body h-100" id="rasio-polarisasi"></div>
                        </div>
                    </div>
                </div>
                <div class="row mx-n2 mt-3">
                    <div class="col-md-12 px-2 mt-3">
                        <div class="card card-panel h-100">
                            <div class="card-header"><i class="fa fa-group mr-2"></i> Influental StakeHolder</div>
                            <div class="d-flex flex-column">
                                <div class="table-responsive">
                                    <table class="table table-bordered">
                                        <thead>
                                            <tr>
                                                <th>Nama Akun</th>
                                                <th>Jumlah Mention</th>
                                                <th>Jumlah Retweet</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>@Digembok</td>
                                                <td class="text-right">100</td>
                                                <td class="text-right">2000</td>
                                            </tr>
                                            <tr>
                                                <td>@KompasTV</td>
                                                <td class="text-right">100</td>
                                                <td class="text-right">2000</td>
                                            </tr>
                                            <tr>
                                                <td>@Kumparan</td>
                                                <td class="text-right">100</td>
                                                <td class="text-right">2000</td>
                                            </tr>
                                            <tr>
                                                <td>@AgusYudhoyono</td>
                                                <td class="text-right">100</td>
                                                <td class="text-right">2000</td>
                                            </tr>

                                        </tbody>
                                    </table>
                                </div>
                                <div class="px-3">
                                    <nav aria-label="navigation">
                                        <ul class="pagination">
                                            <li class="page-item"><a class="page-link" href="#">Previous</a></li>
                                            <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                            <li class="page-item"><a class="page-link" href="#">2</a></li>
                                            <li class="page-item"><a class="page-link" href="#">3</a></li>
                                            <li class="page-item"><a class="page-link" href="#">Next</a></li>
                                        </ul>
                                    </nav>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>                
            </div>
            <?php include('layout/footer.php'); ?>            
        </div>
    </div>

    <!-- WORD ADJACENCY -->
    <style>
    #social-network svg{
        width: 100%;
        height: 300px;
    }
    .link line {
      stroke: #999;
      stroke-opacity: 0.6;
    }

    .labels text {
      pointer-events: none;
      font: 8px sans-serif;
    }

    </style>
    <script src="https://d3js.org/d3.v4.min.js"></script>
    <script src="assets/plugins/d3js/d3-ellipse-force.js"></script>
    <script type="text/javascript">
        var width = 500;
        var height = 500;
        var graph = {
          "nodes": [
            {"id": "Myriel", "group": 1},
            {"id": "Napoleon", "group": 1},
            {"id": "Mlle.Baptistine", "group": 1},
            {"id": "Mme.Magloire", "group": 1},
            {"id": "CountessdeLo", "group": 1},
            {"id": "Geborand", "group": 1},
            {"id": "Champtercier", "group": 1},
            {"id": "Cravatte", "group": 1},
            {"id": "Count", "group": 1},
            {"id": "OldMan", "group": 1},
            {"id": "Labarre", "group": 2},
            {"id": "Valjean", "group": 2},
            {"id": "Marguerite", "group": 3},
            {"id": "Mme.deR", "group": 2},
            {"id": "Isabeau", "group": 2},
            {"id": "Gervais", "group": 2},
            {"id": "Tholomyes", "group": 3},
            {"id": "Listolier", "group": 3},
            {"id": "Fameuil", "group": 3},
            {"id": "Blacheville", "group": 3},
            {"id": "Favourite", "group": 3},
            {"id": "Dahlia", "group": 3},
            {"id": "Zephine", "group": 3},
            {"id": "Fantine", "group": 3},
            {"id": "Mme.Thenardier", "group": 4},
            {"id": "Thenardier", "group": 4},
            {"id": "Cosette", "group": 5},
            {"id": "Javert", "group": 4},
            {"id": "Fauchelevent", "group": 0},
            {"id": "Bamatabois", "group": 2},
            {"id": "Perpetue", "group": 3},
            {"id": "Simplice", "group": 2},
            {"id": "Scaufflaire", "group": 2},
            {"id": "Woman1", "group": 2},
            {"id": "Judge", "group": 2},
            {"id": "Champmathieu", "group": 2},
            {"id": "Brevet", "group": 2},
            {"id": "Chenildieu", "group": 2},
            {"id": "Cochepaille", "group": 2},
            {"id": "Pontmercy", "group": 4},
            {"id": "Boulatruelle", "group": 6},
            {"id": "Eponine", "group": 4},
            {"id": "Anzelma", "group": 4},
            {"id": "Woman2", "group": 5},
            {"id": "MotherInnocent", "group": 0},
            {"id": "Gribier", "group": 0},
            {"id": "Jondrette", "group": 7},
            {"id": "Mme.Burgon", "group": 7},
            {"id": "Gavroche", "group": 8},
            {"id": "Gillenormand", "group": 5},
            {"id": "Magnon", "group": 5},
            {"id": "Mlle.Gillenormand", "group": 5},
            {"id": "Mme.Pontmercy", "group": 5},
            {"id": "Mlle.Vaubois", "group": 5},
            {"id": "Lt.Gillenormand", "group": 5},
            {"id": "Marius", "group": 8},
            {"id": "BaronessT", "group": 5},
            {"id": "Mabeuf", "group": 8},
            {"id": "Enjolras", "group": 8},
            {"id": "Combeferre", "group": 8},
            {"id": "Prouvaire", "group": 8},
            {"id": "Feuilly", "group": 8},
            {"id": "Courfeyrac", "group": 8},
            {"id": "Bahorel", "group": 8},
            {"id": "Bossuet", "group": 8},
            {"id": "Joly", "group": 8},
            {"id": "Grantaire", "group": 8},
            {"id": "MotherPlutarch", "group": 9},
            {"id": "Gueulemer", "group": 4},
            {"id": "Babet", "group": 4},
            {"id": "Claquesous", "group": 4},
            {"id": "Montparnasse", "group": 4},
            {"id": "Toussaint", "group": 5},
            {"id": "Child1", "group": 10},
            {"id": "Child2", "group": 10},
            {"id": "Brujon", "group": 4},
            {"id": "Mme.Hucheloup", "group": 8}
          ],
          "links": [
            {"source": "Napoleon", "target": "Myriel", "value": 1},
            {"source": "Mlle.Baptistine", "target": "Myriel", "value": 8},
            {"source": "Mme.Magloire", "target": "Myriel", "value": 10},
            {"source": "Mme.Magloire", "target": "Mlle.Baptistine", "value": 6},
            {"source": "CountessdeLo", "target": "Myriel", "value": 1},
            {"source": "Geborand", "target": "Myriel", "value": 1},
            {"source": "Champtercier", "target": "Myriel", "value": 1},
            {"source": "Cravatte", "target": "Myriel", "value": 1},
            {"source": "Count", "target": "Myriel", "value": 2},
            {"source": "OldMan", "target": "Myriel", "value": 1},
            {"source": "Valjean", "target": "Labarre", "value": 1},
            {"source": "Valjean", "target": "Mme.Magloire", "value": 3},
            {"source": "Valjean", "target": "Mlle.Baptistine", "value": 3},
            {"source": "Valjean", "target": "Myriel", "value": 5},
            {"source": "Marguerite", "target": "Valjean", "value": 1},
            {"source": "Mme.deR", "target": "Valjean", "value": 1},
            {"source": "Isabeau", "target": "Valjean", "value": 1},
            {"source": "Gervais", "target": "Valjean", "value": 1},
            {"source": "Listolier", "target": "Tholomyes", "value": 4},
            {"source": "Fameuil", "target": "Tholomyes", "value": 4},
            {"source": "Fameuil", "target": "Listolier", "value": 4},
            {"source": "Blacheville", "target": "Tholomyes", "value": 4},
            {"source": "Blacheville", "target": "Listolier", "value": 4},
            {"source": "Blacheville", "target": "Fameuil", "value": 4},
            {"source": "Favourite", "target": "Tholomyes", "value": 3},
            {"source": "Dahlia", "target": "Tholomyes", "value": 3},
            {"source": "Dahlia", "target": "Listolier", "value": 3},
            {"source": "Dahlia", "target": "Fameuil", "value": 3},
            {"source": "Dahlia", "target": "Blacheville", "value": 3},
            {"source": "Dahlia", "target": "Favourite", "value": 5},
            {"source": "Zephine", "target": "Tholomyes", "value": 3},
            {"source": "Zephine", "target": "Favourite", "value": 4},
            {"source": "Zephine", "target": "Dahlia", "value": 4},
            {"source": "Fantine", "target": "Tholomyes", "value": 3},
            {"source": "Fantine", "target": "Listolier", "value": 3},
            {"source": "Fantine", "target": "Fameuil", "value": 3},
            {"source": "Fantine", "target": "Blacheville", "value": 3},
            {"source": "Mme.Thenardier", "target": "Fantine", "value": 2},
            {"source": "Mme.Thenardier", "target": "Valjean", "value": 7},
            {"source": "Thenardier", "target": "Mme.Thenardier", "value": 13},
            {"source": "Thenardier", "target": "Fantine", "value": 1},
            {"source": "Thenardier", "target": "Valjean", "value": 12},
            {"source": "Cosette", "target": "Mme.Thenardier", "value": 4},
            {"source": "Cosette", "target": "Valjean", "value": 31},
            {"source": "Cosette", "target": "Tholomyes", "value": 1},
            {"source": "Cosette", "target": "Thenardier", "value": 1},
            {"source": "Javert", "target": "Valjean", "value": 17},
            {"source": "Fauchelevent", "target": "Valjean", "value": 8},
            {"source": "Fauchelevent", "target": "Javert", "value": 1},
            {"source": "Bamatabois", "target": "Fantine", "value": 1},
            {"source": "Bamatabois", "target": "Javert", "value": 1},
            {"source": "Bamatabois", "target": "Valjean", "value": 2},
            {"source": "Perpetue", "target": "Fantine", "value": 1},
            {"source": "Simplice", "target": "Perpetue", "value": 2},
            {"source": "Simplice", "target": "Valjean", "value": 3},
            {"source": "Scaufflaire", "target": "Valjean", "value": 1},
            {"source": "Woman1", "target": "Valjean", "value": 2},
            {"source": "Woman1", "target": "Javert", "value": 1},
            {"source": "Judge", "target": "Valjean", "value": 3},
            {"source": "Judge", "target": "Bamatabois", "value": 2},
            {"source": "Champmathieu", "target": "Valjean", "value": 3},
            {"source": "Champmathieu", "target": "Judge", "value": 3},
            {"source": "Champmathieu", "target": "Bamatabois", "value": 2},
            {"source": "Brevet", "target": "Judge", "value": 2},
            {"source": "Brevet", "target": "Champmathieu", "value": 2},
            {"source": "Brevet", "target": "Valjean", "value": 2},
            {"source": "Brevet", "target": "Bamatabois", "value": 1},
            {"source": "Chenildieu", "target": "Judge", "value": 2},
            {"source": "Chenildieu", "target": "Champmathieu", "value": 2},
            {"source": "Chenildieu", "target": "Brevet", "value": 2},
            {"source": "Chenildieu", "target": "Valjean", "value": 2},
            {"source": "Chenildieu", "target": "Bamatabois", "value": 1},
            {"source": "Cochepaille", "target": "Judge", "value": 2},
            {"source": "Cochepaille", "target": "Champmathieu", "value": 2},
            {"source": "Boulatruelle", "target": "Thenardier", "value": 1},
            {"source": "Eponine", "target": "Mme.Thenardier", "value": 2},
            {"source": "Eponine", "target": "Thenardier", "value": 3},
            {"source": "Anzelma", "target": "Eponine", "value": 2},
            {"source": "Anzelma", "target": "Thenardier", "value": 2},
            {"source": "Anzelma", "target": "Mme.Thenardier", "value": 1},
            {"source": "Woman2", "target": "Valjean", "value": 3},
            {"source": "Woman2", "target": "Cosette", "value": 1},
            {"source": "Woman2", "target": "Javert", "value": 1},
            {"source": "MotherInnocent", "target": "Fauchelevent", "value": 3},
            {"source": "MotherInnocent", "target": "Valjean", "value": 1},
            {"source": "Gribier", "target": "Fauchelevent", "value": 2},
            {"source": "Mme.Burgon", "target": "Jondrette", "value": 1},
            {"source": "Gavroche", "target": "Mme.Burgon", "value": 2},
            {"source": "Gavroche", "target": "Thenardier", "value": 1},
            {"source": "Gavroche", "target": "Javert", "value": 1},
            {"source": "Gavroche", "target": "Valjean", "value": 1},
            {"source": "Gillenormand", "target": "Cosette", "value": 3},
            {"source": "Gillenormand", "target": "Valjean", "value": 2},
            {"source": "Magnon", "target": "Gillenormand", "value": 1},
            {"source": "Magnon", "target": "Mme.Thenardier", "value": 1},
            {"source": "Mlle.Gillenormand", "target": "Gillenormand", "value": 9},
            {"source": "Mlle.Gillenormand", "target": "Cosette", "value": 2},
            {"source": "Mlle.Gillenormand", "target": "Valjean", "value": 2},
            {"source": "Mme.Pontmercy", "target": "Mlle.Gillenormand", "value": 1},
            {"source": "Mme.Pontmercy", "target": "Pontmercy", "value": 1},
            {"source": "Mlle.Vaubois", "target": "Mlle.Gillenormand", "value": 1},
            {"source": "Lt.Gillenormand", "target": "Mlle.Gillenormand", "value": 2},
            {"source": "Lt.Gillenormand", "target": "Gillenormand", "value": 1},
            {"source": "Lt.Gillenormand", "target": "Cosette", "value": 1},
            {"source": "Marius", "target": "Mlle.Gillenormand", "value": 6},
            {"source": "Marius", "target": "Gillenormand", "value": 12},
            {"source": "Marius", "target": "Pontmercy", "value": 1},
            {"source": "BaronessT", "target": "Gillenormand", "value": 1},
            {"source": "BaronessT", "target": "Marius", "value": 1},
            {"source": "Mabeuf", "target": "Marius", "value": 1},
            {"source": "Mabeuf", "target": "Eponine", "value": 1},
            {"source": "Mabeuf", "target": "Gavroche", "value": 1},
            {"source": "Enjolras", "target": "Marius", "value": 7},
            {"source": "Enjolras", "target": "Gavroche", "value": 7},
            {"source": "Enjolras", "target": "Javert", "value": 6},
            {"source": "Combeferre", "target": "Enjolras", "value": 15},
            {"source": "Combeferre", "target": "Marius", "value": 5},
            {"source": "Combeferre", "target": "Gavroche", "value": 6},
            {"source": "Combeferre", "target": "Mabeuf", "value": 2},
            {"source": "Prouvaire", "target": "Gavroche", "value": 1},
            {"source": "Prouvaire", "target": "Enjolras", "value": 4},
            {"source": "Prouvaire", "target": "Combeferre", "value": 2},
            {"source": "Feuilly", "target": "Gavroche", "value": 2},
            {"source": "Feuilly", "target": "Enjolras", "value": 6},
            {"source": "Courfeyrac", "target": "Marius", "value": 9},
            {"source": "Courfeyrac", "target": "Enjolras", "value": 17},
            {"source": "Bahorel", "target": "Combeferre", "value": 5},
            {"source": "Bahorel", "target": "Gavroche", "value": 5},
            {"source": "Bahorel", "target": "Courfeyrac", "value": 6},
            
            {"source": "Joly", "target": "Bahorel", "value": 5},
            
            {"source": "Grantaire", "target": "Bossuet", "value": 3},
            {"source": "Grantaire", "target": "Enjolras", "value": 3},
            {"source": "Grantaire", "target": "Combeferre", "value": 1},
            {"source": "Grantaire", "target": "Courfeyrac", "value": 2},
            
            {"source": "MotherPlutarch", "target": "Mabeuf", "value": 3},
            {"source": "Gueulemer", "target": "Thenardier", "value": 5},
            {"source": "Gueulemer", "target": "Valjean", "value": 1},
            {"source": "Babet", "target": "Thenardier", "value": 6},
            {"source": "Babet", "target": "Gueulemer", "value": 6},
            {"source": "Babet", "target": "Valjean", "value": 1},
            {"source": "Claquesous", "target": "Thenardier", "value": 4},
            {"source": "Claquesous", "target": "Babet", "value": 4},
            {"source": "Montparnasse", "target": "Javert", "value": 1},
            
            {"source": "Toussaint", "target": "Cosette", "value": 2},
            {"source": "Toussaint", "target": "Javert", "value": 1},
            {"source": "Toussaint", "target": "Valjean", "value": 1},
            {"source": "Child1", "target": "Gavroche", "value": 2},
            {"source": "Child2", "target": "Gavroche", "value": 2},
            {"source": "Child2", "target": "Child1", "value": 3},
            {"source": "Brujon", "target": "Babet", "value": 3},
            {"source": "Brujon", "target": "Gueulemer", "value": 3},
            {"source": "Brujon", "target": "Montparnasse", "value": 1},
            {"source": "Mme.Hucheloup", "target": "Bossuet", "value": 1},
            {"source": "Mme.Hucheloup", "target": "Joly", "value": 1},
            {"source": "Mme.Hucheloup", "target": "Grantaire", "value": 1},
          ]
        }

        var svg = d3.select("#social-network").append("svg");

        var color = d3.scaleOrdinal(d3.schemeCategory20);

        var nd;
        for (var i=0; i<graph.nodes.length; i++) {
          nd = graph.nodes[i];
          nd.rx = nd.id.length * 4.5; 
          nd.ry = 12;
        } 

        var simulation = d3.forceSimulation()
            .force("link", d3.forceLink().id(function(d) { return d.id; }))
            .force("collide", d3.ellipseForce(6, 0.5, 5))
            .force("center", d3.forceCenter(width / 2, height / 2));

        var link = svg.append("g")
            .attr("class", "link")
          .selectAll("line")
          .data(graph.links)
          .enter().append("line")
            .attr("stroke-width", function(d) { return Math.sqrt(d.value); });

        var node = svg.append("g")
            .attr("class", "node")
          .selectAll("ellipse")
          .data(graph.nodes)
          .enter().append("ellipse")  
            .attr("rx", function(d) { return d.rx; })
            .attr("ry", function(d) { return d.ry; })
            .attr("fill", function(d) { return color(d.group); })
            .call(d3.drag()
                .on("start", dragstarted)
                .on("drag", dragged)
                .on("end", dragended));

        var text = svg.append("g")
            .attr("class", "labels")
          .selectAll("text")
          .data(graph.nodes)
          .enter().append("text")  
            .attr("dy", 2)
            .attr("text-anchor", "middle")
            .text(function(d) {return d.id})
            .attr("fill", "#fff");


        simulation
          .nodes(graph.nodes)
          .on("tick", ticked);

        simulation.force("link")
             .links(graph.links);

        function ticked() {
          link
              .attr("x1", function(d) { return d.source.x; })
              .attr("y1", function(d) { return d.source.y; })
              .attr("x2", function(d) { return d.target.x; })
              .attr("y2", function(d) { return d.target.y; });

          node
              .attr("cx", function(d) { return d.x; })
              .attr("cy", function(d) { return d.y; });
          text
              .attr("x", function(d) { return d.x; })
              .attr("y", function(d) { return d.y; });

        }

        function dragstarted(d) {
          if (!d3.event.active) simulation.alphaTarget(0.3).restart();
          d.fx = d.x;
          d.fy = d.y;
        }

        function dragged(d) {
          d.fx = d3.event.x;
          d.fy = d3.event.y;
        }

        function dragended(d) {
          if (!d3.event.active) simulation.alphaTarget(0);
          d.fx = null;
          d.fy = null;
        }
    </script>

    <script type="text/javascript" src="https://code.highcharts.com/highcharts.js"></script>
    <script type="text/javascript">
        $(function(){
            

            Highcharts.chart('rasio-polarisasi', {
                chart: {
                    plotBackgroundColor: null,
                    plotBorderWidth: null,
                    plotShadow: false,
                    type: 'pie'
                },
                title: {
                    text: ''
                },
                tooltip: {
                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: false
                        },
                        showInLegend: true
                    }
                },
                credits:false,
                legends:{
                    layout:'Horizontal'
                },
                series: [{
                    name: 'Brands',
                    colorByPoint: true,
                    data: [
                    {
                        name: 'Cluster 1',
                        y: 60
                    }, {
                        name: 'Cluster 2',
                        y: 40
                    }, {
                        name: 'Cluster 3',
                        y: 20
                    }]
                }]
            });

        });
    </script>

    
</body>
</html>