<?php include('layout/header.php')?>
<body class="loading">
    <?php $_SESSION['active-menu'] = "sentiment"; ?>
	<div id="app">
        <?php include("layout/side-menu.php") ?>
        <div id="main" class="w-100 d-flex flex-column">
            <?php include("layout/admin-menu.php") ?>
            <div class="wrapper p-3 overflow-auto h-100" style="background: #fafafa;">
                <div class="row mx-n2">
                    <div class="col-md-8 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-line-chart mr-2"></i> TREND SENTIMENT</div>
                            <div class="card-body h-100" id="trend-sentiment"></div>
                        </div>
                    </div>
                    <div class="col-md-4 px-2">
                        <div class="card card-panel h-100">
                            <div class="card-header"><i class="fa fa-pie-chart mr-2"></i> RATIO SENTIMENT</div>
                            <div class="card-body h-100" id="ratio-sentiment"></div>
                        </div>
                    </div>
                    <?php
                        $json = 'http://127.0.0.1:5000/mod_viewsentiment/'.$collection_name;
                        $contents = file_get_contents($json); 
                        $data = json_decode($contents,true);
                    ?>
                </div>
                <div class="row mx-n2 mt-3">
                    <div class="col-md-4 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-table mr-2"></i> POST POSITIVE</div>
                            <?php
                                foreach ($data as $key => $item):
                                if ($item['Sentiment'] == 'positif') 
                                    { ?>
                            <div class="card-body">
                                <strong>Sumber:</strong> <?php echo $item['Username']; ?><br/>
                                <!-- <strong>Propagasi:</strong> <?php echo $item['TweetEngagement']; ?><br/> -->
                                <strong>Tweet:</strong> <?php echo $item['TweetText']; ?>
                            </div>
                            <div class="card-footer text-muted">
                                <small>Updated Yesterday at 11:59 PM</small>
                            </div>
                            <?php }
                                 endforeach; ?>
                            <div class="card-footer">
                                <nav aria-label="navigation">
                                    <ul class="pagination pagination-sm justify-content-center mb-0">
                                        <li class="page-item"><a class="page-link" href="#">&laquo;</a></li>
                                        <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                        <li class="page-item"><a class="page-link" href="#">&raquo;</a></li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-table mr-2"></i> POST NEGATIVE</div>
                            <?php
                                foreach ($data as $key => $item):
                                if ($item['Sentiment'] == 'negatif') 
                                    { ?>
                            <div class="card-body">
                                <strong>Sumber:</strong> <?php echo $item['Username']; ?><br/>
                                <!-- <strong>Propagasi:</strong> <?php echo $item['TweetEngagement']; ?><br/> -->
                                <strong>Tweet:</strong> <?php echo $item['TweetText']; ?>
                            </div>
                            <div class="card-footer text-muted">
                                <small>Updated Yesterday at 11:59 PM</small>
                            </div>
                            <?php }
                                 endforeach; ?>
                            <div class="card-footer">
                                <nav aria-label="navigation">
                                    <ul class="pagination pagination-sm justify-content-center mb-0">
                                        <li class="page-item"><a class="page-link" href="#">&laquo;</a></li>
                                        <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                        <li class="page-item"><a class="page-link" href="#">&raquo;</a></li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-table mr-2"></i> POST NETRAL</div>
                             <?php
                                foreach ($data as $key => $item):
                                if ($item['Sentiment'] == 'netral') 
                                    { ?>
                            <div class="card-body">
                                <strong>Sumber:</strong> <?php echo $item['Username']; ?><br/>
                                <!-- <strong>Propagasi:</strong> <?php echo $item['TweetEngagement']; ?><br/> -->
                                <strong>Tweet:</strong> <?php echo $item['TweetText']; ?>
                            </div>
                            <div class="card-footer text-muted">
                                <small>Updated Yesterday at 11:59 PM</small>
                            </div>
                            <?php }
                                 endforeach; ?>
                            <div class="card-footer">
                                <nav aria-label="navigation">
                                    <ul class="pagination pagination-sm justify-content-center mb-0">
                                        <li class="page-item"><a class="page-link" href="#">&laquo;</a></li>
                                        <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                        <li class="page-item"><a class="page-link" href="#">&raquo;</a></li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <?php include('layout/footer.php')?>            
        </div>
    </div>
    <script type="text/javascript" src="https://code.highcharts.com/highcharts.js"></script>
    <script type="text/javascript">
        $(function(){
            Highcharts.chart('trend-sentiment', {
                chart: {
                    type: 'spline',
                    height:300
                },
                title: {
                    text: ''
                },
                xAxis: {
                    categories: [
                        <?php
                            $theJSON = file_get_contents('http://127.0.0.1:5000/mod_trendsentiment/'.$collection_name);
                            $theArray = json_decode($theJSON, true);
                            foreach($theArray[0] as $element){
                                echo "'".$element."',";
                            }
                        ?>
                    ],
                    crosshair: true,

                    gridLineWidth:1
                },
                yAxis: {
                    min: 0,
                    title: {
                        text: ''
                    },
                    gridLineWidth:1
                },
                tooltip: {
                    headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
                    pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
                        '<td style="padding:0"><b>{point.y:.1f} mm</b></td></tr>',
                    footerFormat: '</table>',
                    shared: true,
                    useHTML: true
                },
                plotOptions: {
                    column: {
                        pointPadding: 0.2,
                        borderWidth: 0
                    }
                },
                credits:false,
                series: [
                        <?php
                            $theJSON = file_get_contents('http://127.0.0.1:5000/mod_trendsentiment/'.$collection_name);
                            $theArray = json_decode($theJSON, true);

                            $data=[];
                            foreach ($theArray[1] as $value) {
                                echo"{name:'".$value[0]."',";
                                echo"data:[";

                                foreach ($value[1] as $data) {
                                    echo"".$data.",";
                                } echo"]},";
                            }
                                                    
                        ?>
                        ]
                // series: [

                // {
                //     name: 'Positif',
                //     data: [49.9, 71.5]

                // }, {
                //     name: 'Negatif',
                //     data: [83.6, 78.8]

                // }, {
                //     name: 'Netral',
                //     data: [48.9, 38.8]

                // }]
            });
            
            Highcharts.chart('ratio-sentiment', {
                chart: {
                    plotBackgroundColor: null,
                    plotBorderWidth: null,
                    plotShadow: false,
                    type: 'pie'
                },
                title: {
                    text: ''
                },
                tooltip: {
                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: false
                        },
                        showInLegend: true
                    }
                },
                credits:false,
                legends:{
                    layout:'Horizontal'
                },
                series: [{
                    name: 'Brands',
                    colorByPoint: true,
                    data: [
                     <?php
                        $json_ratio = 'http://127.0.0.1:5000/mod_ratiosentiment/'.$collection_name;
                        $contents_ratio = file_get_contents($json_ratio); 
                        $data_ratio = json_decode($contents_ratio);

                        echo "{name:'Positif',y:".$data_ratio->positif."},{name:'Negatif',y:".$data_ratio->negatif."},{name:'Netral',y:".$data_ratio->netral."}";
                        ?>
                    ]
                }]
            });

        });
    </script>    
</body>