<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1; minimum-scale=1; user-scalable=no;" />
    <title>Median</title>
  
    <!-- CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <link href="https://netdna.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="assets/css/app.css">


  <!-- JS -->
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script src="js/app.js"></script>
</head>
<body class="loading">
    <div class="login-container">
        <div class="login-cover">
            <img src="https://images.pexels.com/photos/313691/pexels-photo-313691.jpeg?auto=compress&cs=tinysrgb&dpr=1&w=500" alt="" class="bg">
            <div class="login-intro">
                <h6>MEDI@N - Media Analytics on-Demand</h6>
                <br/><br/><br/>
                <p align="justify">
                    Media sosial telah menjadi bagian hidup dari masyarakat kontemporer saat ini. Insight yang didapatkan dari analisis media sosial memberikan manfaat yang begitu besar khususnya periset sosial dalam melakukan akusisi dan pengolahan data untuk kepentingan penelitiannya. Namun, dengan jumlah unggahan yang sangat banyak serta pertambahannya yang cepat, hal tersebut mustahil dilakukan dengan cara manual tanpa bantuan alat bantu berbasis komputer. Menjawab kebutuhan tersebut, Medi@n akan hadir sebagai platform aplikasi berbasis web yang menyediakan layanan untuk akuisisi data, pembersihan dan warehousing data serta analisis dan monitoring data sosial media.
                </p>
                <ul>
                    <li><a href="#"><i class="fa fa-facebook"></i></a></li>
                    <li><a href="#"><i class="fa fa-twitter"></i></a></li>
                    <li><a href="#"><i class="fa fa-instagram"></i></a></li>
                    <li><a href="#"><i class="fa fa-youtube"></i></a></li>
                </ul>
            </div>
        </div>
        <!-- <div class="login-form">
                <h2>Sign In</h2>
                <form class="form form-login" action="<?php echo base_url('login/cekLogin'); ?>" method="post">
                <div class="form-group">
                    <label for="">Username</label>
                    <input type="text" class="form-control" name="username" placeholder="Username">
                </div>
                <div class="form-group">
                    <label for="">Password</label>
                    <input type="password" class="form-control" name="password" placeholder="Password">
                </div>
                <div class="form-group">
                    <div class="checkbox">
                        <label><input type="checkbox"> Remember Me</label>
                    </div>
                </div>
                <br/>
                <div class="form-group">
                    <button class="btn btn-primary btn-raised" type="submit">LOGIN</button>
                </div>
            </form>  
        </div> -->

         <div class="login-form">
            <form class="form form-login" method="post" action="<?php echo base_url(); ?>login/cekLogin" enctype="multipart/form-data">
                <h2>Sign In</h2>
                <div class="form-group">
                    <label for="">Username</label>
                    <input type="text" class="form-control" name="username" placeholder="Username" required="true" autofocus>
                </div>
                <div class="form-group">
                    <label for="">Password</label>
                    <input type="password" class="form-control" name="password" placeholder="Password" required="true">
                </div>
                <br/>
                <div class="form-group">
                    <input type="submit" value="Submit" class="btn btn-info" />
                </div>
            </form>
            </div>

    </div>
</body>
</html>