<?php include('layout/header.php')?>
<body class="loading">
    <?php $_SESSION['active-menu'] = "project"; ?>
    <div id="app">
        <?php include("layout/side-menu.php") ?>
        <div id="main" class="w-100 d-flex flex-column">
            <?php include("layout/admin-menu.php") ?>
            <div class="wrapper p-3 overflow-auto h-100" style="background: #fafafa;">
                <div class="d-flex justify-content-end py-1">
                    <button class="btn btn-primary" type="button" data-toggle="modal" data-target="#modal-create">New Project</button>
                </div>
                <div class="table-responsive">
                    <table class="table table-striped table-hover">
                        <thead>
                            <tr>
                                <th>No</th>
                                <th>Project Title</th>
                                <th>Keywords</th>
                                <th>Timeframe</th>
                                <th width="150">Action</th>
                            </tr>
                        </thead>
                        <tbody>
						<?php 
                            $no = 1;
                            foreach($data->result_array() as $i):
                                $id=$i['id'];
                                $project_title=$i['project_title'];
                                $keywords=$i['keywords'];
                                $timeframe=$i['timeframe'];
                                $collection_name=$i['collection_name'];
                        ?>
                            <tr>
                                <td><?php echo $no++; ?>
                                 <!-- <td><?php echo $id; ?></td> -->
                                <td><?php echo $project_title; ?></td>
                                <td><?php echo $keywords; ?></td>
                                <td><?php echo $timeframe; ?></td>
                                <td>
                                    <a class="btn btn-outline-dark btn-sm" href="<?php echo base_url('project_list/get_session/') ?><?php echo $collection_name ?>" role="button"><i class="fa fa-eye"></i></a>
                                    <a class="btn btn-outline-dark btn-sm" href="<?php echo base_url('project_list/edit/') ?><?php echo $i['id'] ?>" role="button"><i class="fa fa-edit"></i></a>
                                    <a class="btn btn-outline-dark btn-sm" href="<?php echo base_url('project_list/activation/') ?><?php echo $i['id'] ?>" role="button"><i class="fa fa-gears"></i></a>
                                    <!--
                                    <button class="btn btn-sm btn-danger" type="button" data-toggle="modal" data-target="#modal-delete"><i class="fa fa-trash"></button>
                                    -->
                                </td>
                            </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <?php include('layout/footer.php')?>            
        </div>
    </div>

    <div class="modal fade" id="modal-delete">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header border-0">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title text-center">Delete Project</h4>
                </div>
                <div class="modal-body text-center">
                    Once you delete your project. It could'nt be restored<br/>
                    Are you sure to delete your project?
                </div>
                <div class="modal-footer border-0 text-center">
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Cancel</button>
                    <a class="btn btn-sm btn-danger" href="<?php echo base_url('project_list/hapus/') ?><?php echo $i['id'] ?>">Yes</a>
                </div>
            </div>
        </div>
    </div>
    
    <!-- Create New Project PopUp Modal -->
    <div class="modal fade" id="modal-create">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header border-0">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title text-center">Create New Project</h4>
                </div>

                <form class="form-horizontal" method="post" action="<?php echo base_url().'index.php/project_list/simpan'?>">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="">Enter Project Title</label>
                        <input type="text" class="form-control" name="project_title" required>
                    </div>
                    <div class="form-group">
                        <label for="">Keywords</label>
                        <input type="text" class="form-control" name="keywords" required>
                    </div>
                    <div class="form-group">
                        <label for="">Timeframe</label><br>
                        <input type="radio" name="timeframe" value="instant"> Instant Insight &nbsp;&nbsp;&nbsp;&nbsp;
                        <input type="radio" name="timeframe" value="streaming"> Data Streaming
                    </div>
                    <div class="form-group">
                        <label for="">Tanggal Mulai</label>
                        <input type="date" class="form-control" name="tanggal_mulai">
                    </div>
                    <div class="form-group">
                        <label for="">Tanggal Selesai</label>
                        <input type="date" class="form-control" name="tanggal_selesai">
                    </div>
                </div>
                <div class="modal-footer border-0 text-center">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                    <button class="btn btn-info">Simpan</button><!-- 
                    <input type="submit" class="btn btn-primary" name="tambah" value="Simpan"> -->
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/dataTables.bootstrap4.min.js"></script>
<script>
    $(document).ready(function(){
        $('#mydata').DataTable( {
            autoFill: true
        });
    });
</script>

</body>
</html>